﻿<?php
/* ---------------------------------------------------------------
 *   [InputCheck_lib.php]の正規表現ライブラリ利用の入力チェック
 *   URLとemail、郵便番号、電話番号形式チェック
 *
 *  作成： 2015.07.23 yoshi of CXMedia Inc.
 * --------------------------------------------------------------- */
//正規表現で作成した入力データチェックライブラリ
require "lib/InputCheck_lib.php";

header("Content-type:text/plain; charset=UTF-8");

/* ------------------------------------
 *  URLの正規表現
 * ------------------------------------ */
$text = "http://www.yahoo.co.jp/";
echo (is_url($text)? "■URL OK!\n" :"■URL NG\n");

/* ------------------------------------
 *  メールアドレスの正規表現
 * ------------------------------------ */
$email = "y-test@example.com";
echo (is_mail($email)? "■メールアドレス OK!\n" :"■メールアドレス NG\n");

/* ------------------------------------
 *  郵便番号の正規表現
 * ------------------------------------ */
$text = "160-0001";
echo (is_zipcode($text)? "■郵便番号 OK!\n" :"■郵便番号 NG\n");

/* ------------------------------------
 *  電話番号の正規表現
 * ------------------------------------ */
echo (is_phone("0120-423-232")? "■電話番号 OK!\n" :"■電話番号 NG\n");      //フリーダイヤル
echo (is_phone("045-543-1122")? "■電話番号 OK!\n" :"■電話番号 NG\n");      //固定電話
echo (is_phone("090-5432-1122")? "■電話番号 OK!\n" :"■電話番号 NG\n");     //携帯電話
echo (is_phone("+080-03-5432-1122")? "■電話番号 OK!\n" :"■電話番号 NG\n"); //国際電話

?>
